package cn.iocoder.yudao.module.system.service.biz;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.riskdisclosurestatement.ElderlyRiskDisclosureStatementPageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.riskdisclosurestatement.ElderlyRiskDisclosureStatementRespVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.riskdisclosurestatement.ElderlyRiskDisclosureStatementSaveReqVO;

public interface ElderlyRiskDisclosureStatementService {

    Long create(ElderlyRiskDisclosureStatementSaveReqVO createReqVO);

    void update(ElderlyRiskDisclosureStatementSaveReqVO updateReqVO);

    void delete(Long id);

    ElderlyRiskDisclosureStatementRespVO get(Long id);

    PageResult<ElderlyRiskDisclosureStatementRespVO> getPage(ElderlyRiskDisclosureStatementPageReqVO pageReqVO);
}

